%define name    redland
%define version 0.9.16
%define release 3mdk

%define major	0
%define libname %mklibname %name %major

Summary:   	Redland RDF Application Framework
Name:      	%{name}
Version:   	%{version}
Release:   	%{release}
License: 	LGPL
Group:     	Development/Other
Source:    	%{name}-%{version}.tar.bz2
URL:       	http://www.redland.opensource.ac.uk/
BuildRoot: 	%_tmppath/%{name}-root
BuildRequires: 	libxml2-devel perl-devel openssl-devel libdb4.1-devel
BuildRequires:	w3c-libwww-devel swig ruby-devel mysql-devel
BuildRequires:	tcl python-devel php-devel mono-devel
Requires:  	raptor

%description
Redland is a library that provides a high-level interface for RDF
(Resource Description Framework) implemented in an object-based API.
It is modular and supports different RDF/XML parsers, storage
mechanisms and other elements. Redland is designed for applications
developers to provide RDF support in their applications as well as
for RDF developers to experiment with the technology.

%package -n %{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n %{libname}-devel
Summary: Header files and static libraries from %name
Group: Development/Other
Requires: %{libname} >= %{version}
Provides: lib%{name}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release} 
Obsoletes: %name-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%package perl
Summary: Perl modules for the Redland RDF system
Group: Development/Perl

%description perl
The redland-perl package contains the perl bindings for Redland.

%package python
Summary: Python module for the Redland RDF system
Group: Development/Python

%description python
The redland-python package contains the python bindings for Redland.

%package ruby
Summary: Ruby module for the Redland RDF system
Group: Development/Other

%description ruby
The redland-ruby package contrians the ruby binding for Redland.

%package php
Summary: PHP modules for the Redland RDF system
Group: Development/Other
                                                              
%description php
The redland-PHP package contains the PHP bindings for Redland.
 
%package tcl
Summary: TCL modules for the Redland RDF system
Group: Development/Other

%description tcl
The redland-tcl package contains the TCL bindings for Redland.

%prep
%setup -q

%build
export PYTHON=python
%configure2_5x --with-perl --with-python --with-tcl --with-php --with-ruby --with-ecma-cli=mono --with-mysql

%install
rm -rf $RPM_BUILD_ROOT
# fix install command
perl -p -i -e 's/install\ -c/install\ -D/g' `find -name Makefile`
# fix distutils install command
perl -p -i -e 's/\$\(PYTHON_SETUP\)\ install/\$\(PYTHON_SETUP\)\ install\ --root\=\$\(RPM_BUILD_ROOT\)/g' python/Makefile
%makeinstall_std
cp -f librdf/*.h $RPM_BUILD_ROOT/%_includedir/

# what is this file?
rm -f $RPM_BUILD_ROOT/%perl_sitearch/*.pod

# workaround for requires perl-base >= 5.800 bug
mkdir -p $RPM_BUILD_ROOT/%perl_vendorarch
mv $RPM_BUILD_ROOT/%perl_sitearch/* $RPM_BUILD_ROOT/%perl_vendorarch

# don't include files from raptor
cd $RPM_BUILD_ROOT
rm -f `find -name '*rapper*'` `find -name '*raptor*'` `find -name 'ntriples.h'`

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog
%doc README NEWS LICENSE.txt
%doc *.html
%_bindir/redland-db-upgrade
%_bindir/rdfproc
%_mandir/man1/*
%_mandir/man3/*

%files -n %libname
%defattr(-,root,root)
%_libdir/librdf.so.*

%files -n %libname-devel
%defattr(-, root, root)
%_bindir/redland-config
%_libdir/librdf.a
%_libdir/librdf.la
%_libdir/librdf.so
%_includedir/redland.h
%_includedir/librdf.h 
%_includedir/rdf_*.h
%_libdir/pkgconfig/*.pc

%files perl
%defattr(-,root,root)
%{perl_vendorarch}/*

%files python
%defattr(-,root,root)
%{_libdir}/python*/site-packages/*

%files ruby
%defattr(-,root,root)
%{_libdir}/ruby/*/*/*.so

%files php
%defattr(-,root,root)
%{_libdir}/php/extensions/*.so

%files tcl
%defattr(-,root,root)
%{_libdir}/tcl*/*.so

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%changelog
* Fri Jul 02 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.9.16-3mdk
- Rebuild for new curl

* Thu Jun 10 2004 Austin Acton <austin@mandrake.org> 0.9.16-2mdk
- bring back libtoolize
- configure 2.5
- add missing headers
- remove dependencies on libname

* Wed May 19 2004 Austin Acton <austin@mandrake.org> 0.9.16-1mdk
- 0.9.16

* Mon Feb 2 2004 Austin Acton <austin@mandrake.org> 0.9.15-1mdk
- 0.9.15
- libtoolize
- enable mysql
- buildrequires php-devel

* Mon Sep 15 2003 Austin Acton <aacton@yorku.ca> 0.9.14-2mdk
- rebuild

* Mon Sep 8 2003 Austin Acton <aacton@yorku.ca> 0.9.14-1mdk
- 0.9.14
- enable php, mono
- specify interfaces in configure macro

* Wed Aug 27 2003 Austin Acton <aacton@yorku.ca> 0.9.12-6mdk
- move redland-config to devel package where it belongs (I'm dumb)

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.9.12-5mdk
- use db4.1 as database
- avoid deleting a needed header
- add ruby, python interfaces

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.9.12-4mdk
- don't buildrequire php-devel
- adjust a few things to keep it building

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.9.12-3mdk
- buildrequires and mklibname

* Mon Mar 3 2003 Austin Acton <aacton@yorku.ca> 0.9.12-2mdk
- use perl_vendorarch to avoid a requires bug

* Tue Feb 18 2003 Austin Acton <aacton@yorku.ca> 0.9.12-1mdk
- initial package
